from mlstmyfasta.engine.annotations import annotate_from_genbank, fetch_ncbi_genbank
from Bio import SeqIO

from mlstmyfasta.engine.data.genomics import AnnotatedString

async def test_fetch_ncbi_genbank_with_id_works():
    assert len((await fetch_ncbi_genbank("CP011448.1")).sequence) > 0 

async def test_annotate_from_genbank_results_in_annotations():
    sequence = SeqIO.read("tests/resources/tohama_I_bpertussis.fasta", "fasta").seq
    annotated_sequence = await annotate_from_genbank("CP011448.1", "bpertussis_tohamaI", str(sequence))
    assert annotated_sequence is AnnotatedString